> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/auth/user

## OpenAPI

````json GET /v1/auth/user
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/auth/user": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1AuthUserGetResponse"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "v1AuthUserGetResponse": {
        "type": "object",
        "properties": {
          "userId": {
            "type": "string",
            "example": "user-12345",
            "description": "User identifier"
          },
          "enterpriseId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011,
            "description": "Enterprise identifier"
          },
          "permissions": {
            "$ref": "#/components/schemas/authPermissions"
          },
          "timeZone": {
            "type": "string",
            "example": "America/New_York",
            "description": "User timezone"
          }
        },
        "required": [
          "userId",
          "enterpriseId",
          "permissions",
          "timeZone"
        ]
      },
      "authPermissions": {
        "type": "object",
        "properties": {
          "billingAndInvoicing": {
            "type": "string",
            "enum": [
              "none",
              "read",
              "read_write"
            ],
            "example": "read_write"
          },
          "licensing": {
            "type": "string",
            "enum": [
              "none",
              "read",
              "read_write"
            ],
            "example": "read_write"
          },
          "orderStatus": {
            "type": "string",
            "enum": [
              "none",
              "read",
              "read_write"
            ],
            "example": "read"
          },
          "support": {
            "type": "string",
            "enum": [
              "none",
              "read",
              "read_write"
            ],
            "example": "read"
          },
          "userAndTenantManagement": {
            "type": "string",
            "enum": [
              "none",
              "read",
              "read_write"
            ],
            "example": "read_write"
          },
          "assetManager": {
            "type": "string",
            "enum": [
              "none",
              "read",
              "read_write"
            ],
            "example": "read_write"
          },
          "globalServices": {
            "type": "string",
            "enum": [
              "none",
              "read",
              "read_write"
            ],
            "example": "read"
          },
          "networkConfigurations": {
            "type": "string",
            "enum": [
              "none",
              "read",
              "read_write"
            ],
            "example": "read_write"
          },
          "safetyAndSecurity": {
            "type": "string",
            "enum": [
              "none",
              "read",
              "read_write"
            ],
            "example": "read_write"
          },
          "servicePolicies": {
            "type": "string",
            "enum": [
              "none",
              "read",
              "read_write"
            ],
            "example": "read_write"
          },
          "compliance": {
            "type": "string",
            "enum": [
              "none",
              "read",
              "read_write"
            ],
            "example": "read"
          },
          "developerTools": {
            "type": "string",
            "enum": [
              "none",
              "read",
              "read_write"
            ],
            "example": "read"
          },
          "insights": {
            "type": "string",
            "enum": [
              "none",
              "read",
              "read_write"
            ],
            "example": "read_write"
          },
          "logs": {
            "type": "string",
            "enum": [
              "none",
              "read",
              "read_write"
            ],
            "example": "read_write"
          },
          "monitoringAndTroubleshooting": {
            "type": "string",
            "enum": [
              "none",
              "read",
              "read_write"
            ],
            "example": "read_write"
          },
          "reports": {
            "type": "string",
            "enum": [
              "none",
              "read",
              "read_write"
            ],
            "example": "read"
          }
        }
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

